Bug 13349 - Allow library code to display against users pending changes
Summary: Allow library code to display against users pending changes
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Patrons (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: David Roberts
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: 12028 12352
  Show dependency treegraph
 
Reported: 2014-11-26 16:56 UTC by David Roberts
Modified: 2015-12-03 22:11 UTC (History)
6 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Allow patron's library to display after patron updates details (1.47 KB, patch)
2014-11-26 17:00 UTC, David Roberts
Details | Diff | Splinter Review
Version 2 of the patch (1.61 KB, patch)
2014-12-02 22:44 UTC, David Roberts
Details | Diff | Splinter Review
[Signed-off] Bug 13349 - Allow library code to display against users pending changes -update screen (2.19 KB, patch)
2014-12-05 16:54 UTC, Marc Véron
Details | Diff | Splinter Review
[PASSED QA] Bug 13349 - Allow library code to display against users pending changes -update screen (2.14 KB, patch)
2014-12-12 14:22 UTC, Kyle M Hall
Details | Diff | Splinter Review
[PASSED QA] Bug 13349 [QA Followup] (2.00 KB, patch)
2014-12-12 14:22 UTC, Kyle M Hall
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description David Roberts 2014-11-26 16:56:43 UTC
When OPACPatronDetails is set to Allow in a multi-library environment, it is sometimes useful if the library of the user submitting the change is visible to the staff member approving the change, so that each library can approve or deny the request from their own patrons. The attached patch corrects that. 

To test:

Ensure OPACPatronDetails is set to enabled
Apply the patch
Log into the OPAC and update your patron details (address, phone number etc)
Log into the staff client and view pending patron changes. 
The branchcode of the library to which the patron belongs should display next to the user's name.
Comment 1 David Roberts 2014-11-26 17:00:03 UTC Comment hidden (obsolete)
Comment 2 Christopher Brannon 2014-12-02 16:03:46 UTC
Traceback (most recent call last):
  File "/usr/local/bin/git-bz", line 2630, in <module>
    do_apply(*args)
  File "/usr/local/bin/git-bz", line 1755, in do_apply
    users = bug.server.get_xmlrpc_proxy().User.get({ 'names': [patch.attacher] })['users']
  File "/usr/lib/python2.6/xmlrpclib.py", line 1199, in __call__
    return self.__send(self.__name, args)
  File "/usr/lib/python2.6/xmlrpclib.py", line 1489, in __request
    verbose=self.__verbose
  File "/usr/lib/python2.6/xmlrpclib.py", line 1243, in request
    headers
xmlrpclib.ProtocolError: <ProtocolError for bugs.koha-community.org/xmlrpc.cgi: 404 Not Found>

Not sure if this is a problem on my end or what.

Christopher
Comment 3 Owen Leonard 2014-12-02 19:51:56 UTC
I get the same problem. It looks like the patch isn't formatted correctly?

Please resubmit the patch, and while you're at it, add a description of the bug and a test plan.
Comment 4 David Roberts 2014-12-02 22:44:45 UTC Comment hidden (obsolete)
Comment 5 David Roberts 2014-12-02 22:57:29 UTC
I've tested this patch against a sandbox and it compiles OK. There is already a description of the enhancement in comment 1.
Comment 6 Owen Leonard 2014-12-02 23:32:43 UTC
Your second patch applied successfully using git-bz. Thanks for resubmitting.
Comment 7 Marc Véron 2014-12-05 16:54:16 UTC Comment hidden (obsolete)
Comment 8 Kyle M Hall 2014-12-12 14:22:06 UTC
Created attachment 34349 [details] [review]
[PASSED QA] Bug 13349 - Allow library code to display against users pending changes -update screen

http://bugs.koha-community.org/show_bug.cgi?id=13349

To test:
Ensure OPACPatronDetails is set to enabled
Apply the patch
Log into the OPAC and update your patron details (address, phone number etc)
Log into the staff client and view pending patron changes.
The branchcode of the library to which the patron belongs should display next to the user's name.

Followed test plan, works as expected
Signed-off-by: Marc Veron <veron@veron.ch>

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Comment 9 Kyle M Hall 2014-12-12 14:22:14 UTC
Created attachment 34350 [details] [review]
[PASSED QA] Bug 13349 [QA Followup]

I don't think we need the library label. Also switched to displaying the
library name, rather than just the branchcode.

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Comment 10 Tomás Cohen Arazi 2015-04-09 17:59:39 UTC
Patches pushed to master.

Thanks David!